Bug 3884 - [UPDATE REQUEST] drakxtools-14.46-7
: [UPDATE REQUEST] drakxtools-14.46-7
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-27 21:20 MSK by Konstantin Vlasov
Modified: 2014-04-02 10:18 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-03-27 21:20:44 MSK
A bug fixed in installer and diskdrake when formatting a btrfs partition asked to check for bad blocks but returned an error if "Yes" was answered. Since btrfs does not support such an option, it's no longer asked for this file system.

How to test:

Scenario A:
1. Start draklive-install or diskdrake, enter the Expert mode.
2. Create a partition.
3. Press "Format".
4. The question "Check bad blocks?" should only be asked, if selected file system is NOT one of the following: ReiserFS, XFS, NTFS, Btrfs (also, HFS, but normally you shouldn't be able to create it).

Scenario B:
1. Start draklive-install, enter the Expert mode.
2. Create several partitions of different types, assign mount points to them all.
3. Click Next.
4. The dialog appears with the list of checkboxes which partitions to format. Press the "Advanced" button.
5. On the additional dialog there is a list of checkboxes which partitions should also be tested for bad blocks when formatting. There should NOT be present any partition of type: ReiserFS, XFS, NTFS, Btrfs.
Comment 1 Konstantin Vlasov 2014-03-27 21:21:56 MSK
https://abf.rosalinux.ru/build_lists/1725496
https://abf.rosalinux.ru/build_lists/1725497

Advisory: Do not ask for bad blocks checking when formatting btrfs file system (since it's unsupported there).
Comment 2 Postnikov Dmitry 2014-03-27 23:55:08 MSK
(In reply to comment #1)
> https://abf.rosalinux.ru/build_lists/1725496
> https://abf.rosalinux.ru/build_lists/1725497
> 
> Advisory: Do not ask for bad blocks checking when formatting btrfs file
> system (since it's unsupported there).

I checked "Scenario A". All fixed.
Comment 3 Vladimir Potapov 2014-04-01 15:00:01 MSD
drakxtools-14.46-7
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1725496/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1725497/x86_64/main/release/
********************** Advisory *********************
Do not ask for bad blocks checking when formatting btrfs file system (since it's unsupported there).
*****************************************************
QA Verified